Draft WireToBSpline/de: Difference between revisions

From FreeCAD Documentation
(Created page with "Der 24px '''Entwurf DrahtZuBSpline''' Befehl konvertiert Entwurf Drähte in Entwurf BSplines und umgek...")
(Created page with "{{Caption|Umwandlung eines Entwurf Drahtes in eine Entwurf BSpline und einer geschlossenen Entwurf BSpline in einen geschlossenen Entwurf Draht}}")
Line 23: Line 23:


[[Image:Draft_Wire2BSpline_example.jpg|400px]]
[[Image:Draft_Wire2BSpline_example.jpg|400px]]
{{Caption|Converting a Draft Wire to a Draft BSpline, and a closed Draft BSpline to a closed Draft Wire}}
{{Caption|Umwandlung eines Entwurf Drahtes in eine Entwurf BSpline und einer geschlossenen Entwurf BSpline in einen geschlossenen Entwurf Draht}}


==Anwendung==
==Anwendung==

Revision as of 12:57, 27 July 2021

Entwurf DrahtZuBSpline

Menüeintrag
Änderung → Draht zu BSpline
Arbeitsbereich
Entwurf, Architektur
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Entwurf Draht, Entwurf BSpline

Beschreibung

Der Entwurf DrahtZuBSpline Befehl konvertiert Entwurf Drähte in Entwurf BSplines und umgekehrt.

Umwandlung eines Entwurf Drahtes in eine Entwurf BSpline und einer geschlossenen Entwurf BSpline in einen geschlossenen Entwurf Draht

Anwendung

  1. Select a Draft Wire or a Draft BSpline.
  2. There are several ways to invoke the command:
    • Press the Draft WireToBSpline button.
    • Select the Modification → Wire to B-spline option from the menu.
  3. A new object is created.

Hinweise

  • The command may result in a closed, self-intersecting Draft Wire or Draft BSpline with a face. Such an object will not display properly in the 3D view. Its DatenMake Face property, or its DatenClosed property, must be set to false.

Skripten

Siehe auch: Autogenerierte API Dokumentation und FreeCAD Grundlagen Skripten.

To convert a wire to a bspline, or vice versa, pass the Points property of the source object to the make_bspline method, or respectively the make_wire method, of the Draft module.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(1000, 1000, 0)
p2 = App.Vector(2000, 1000, 0)
p3 = App.Vector(2500, -1000, 0)
p4 = App.Vector(3500, -500, 0)

base_wire = Draft.make_wire([p1, p2, p3, p4])
base_spline = Draft.make_bspline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points1 = base_wire.Points
spline_from_wire = Draft.make_bspline(points1)

points2 = base_spline.Points
wire_from_spline = Draft.make_wire(points2)

doc.recompute()